LIB_FILENAME = liblnm.a

BUILD_DIR = build
SRC_DIR = src
TEST_DIR = test
THIRDPARTY_DIR = thirdparty

PUB_INC_DIR = include
INC_DIRS = $(PUB_INC_DIR) src/_include $(THIRDPARTY_DIR)/include

# -MMD: generate a .d file for every source file. This file can be imported by
#  make and makes make aware that a header file has been changed, ensuring an
#  object file is also recompiled if only a header is changed.
# -MP: generate a dummy target for every header file (according to the  docs it
#  prevents some errors when removing header files)
CFLAGS ?= -MMD -MP -g
